Option Strict Off
Option Explicit On
Module ElkPortNT
    '#'****************************************************#
    '#'                         ElkPortNT.dll                       
    '#'             Copyright  2004 Mohamed Elkhiyar        
    '#'                   http://elkhiyar.ifrance.com                     
    '#                       Elkhiyar@ifrance.com                          
    '#'****************************************************#
    '#    Windows 95,98,NT,Me,2000,Xp(Sp1 et Sp2),2003,Vista             
    '#'****************************************************#
    '#'                             ElkPortNT                               
    '#                          Date: 21/11/2007               
    '#'****************************************************#


    Public Declare Function InitializeElkPort Lib "ElkPortNT.dll" () As Boolean
    Public Declare Sub CloseElkPort Lib "ElkPortNT.dll" ()
    Public Declare Sub RemoveElkPortDriver Lib "ElkPortNT.dll" ()
    'Install le driver pour un Compte administrateur ou limit
    Public Declare Sub InstalElkPortDriver Lib "ElkPortNT.dll" ()

    Public Declare Function ReadByte Lib "ElkPortNT.dll" (ByVal Port As Short) As Byte
    Public Declare Function WriteByte Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Value As Byte) As Boolean


    Public Declare Function ReadWord Lib "ElkPortNT.dll" (ByVal Port As Short) As Short
    Public Declare Function WriteWord Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Value As Short) As Boolean

    Public Declare Function ReadLong Lib "ElkPortNT.dll" (ByVal Port As Short) As Integer
    Public Declare Function WriteLong Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Value As Integer) As Boolean
'"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
    'Cas particulier du port parallle:

    Public Enum DataPin
        D0 = 0
        D1 = 1
        D2 = 2
        D3 = 3
        D4 = 4
        D5 = 5
        D6 = 6
        D7 = 7
    End Enum

    Public Enum ControlPin
        Strobe = 0
        Autofeed = 1
        Init = 2
        Select_In = 3
    End Enum

    Public Enum StatusPin
        Error_ = 3
        Select_ = 4
        Paper = 5
        Ack = 6
        Busy = 7
    End Enum

    Public Declare Function PinData_On Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Pin As DataPin) As Boolean
    Public Declare Function PinData_Off Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Pin As DataPin) As Boolean
    Public Declare Function Lire_PinData Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Pin As DataPin) As Byte

    Public Declare Function PinControl_On Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Pin As ControlPin) As Boolean
    Public Declare Function PinControl_Off Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Pin As ControlPin) As Boolean
    Public Declare Function Lire_PinControl Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Pin As ControlPin) As Byte

    Public Declare Function Lire_PinStatus Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal Pin As StatusPin) As Byte

    Public Declare Function Enable_bi_directional_ParaPort Lib "ElkPortNT.dll" (ByVal Port As Short, ByVal bidirectional As Boolean) As Boolean

'"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
    Public Declare Function IsWinNT Lib "ElkPortNT.dll" () As Boolean
    Public Declare Function MajorVersion Lib "ElkPortNT.dll" () As Short
    Public Declare Function MinorVersion Lib "ElkPortNT.dll" () As Short
    Public Declare Sub About Lib "ElkPortNT.dll" ()
End Module